package com.liquidnet.service.adam.service;

import com.liquidnet.service.adam.dto.AdamComInfoExtendParam;
import com.liquidnet.service.adam.entity.AdamComInfoExtend;

/**
 * <p>
 * 公司信息扩展 服务类
 * </p>
 *
 * @author liquidnet
 * @since 2020-09-16
 */
public interface IAdamComInfoExtendService {
    /**
     * 主键查询
     */
    AdamComInfoExtend selectById(String id);

    /**
     * 新增
     */
    int insert(AdamComInfoExtendParam param);

    /**
     * 主键id更新
     */
    int updateById(AdamComInfoExtendParam param);

    /**
     * 查询公司注册国家的扩展信息
     */
    AdamComInfoExtend selectByCountryCode(String comId, String countryCode);

}
